package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AtmosphereIndustry;
import com.lightinit.hsdatashow.entity.AtmosphereIndustryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AtmosphereIndustryMapper {
    long countByExample(AtmosphereIndustryExample example);

    int deleteByExample(AtmosphereIndustryExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AtmosphereIndustry record);

    int insertSelective(AtmosphereIndustry record);

    List<AtmosphereIndustry> selectByExample(AtmosphereIndustryExample example);

    AtmosphereIndustry selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AtmosphereIndustry record, @Param("example") AtmosphereIndustryExample example);

    int updateByExample(@Param("record") AtmosphereIndustry record, @Param("example") AtmosphereIndustryExample example);

    int updateByPrimaryKeySelective(AtmosphereIndustry record);

    int updateByPrimaryKey(AtmosphereIndustry record);

    List<AtmosphereIndustry> getAtmosphereIndustry(int year);
}